PluginFactory Class Reference

`#include <jinglepluginfactory.h>`

## Public Member Functions

virtual | ~PluginFactory ()
void | registerPlugin (Plugin *plugin)
void | addPlugins (Plugin &plugin, const Tag *tag)
void | addPlugins (Session::Jingle &jingle, const Tag *tag)

## Detailed Description

A factory for which creates Plugin instances based on Tags. This is part of Jingle (XEP-0166).

Used by Jingle::SessionManager. You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0.7

Definition at line 36 of file jinglepluginfactory.h.

## Constructor & Destructor Documentation

## ~PluginFactory()

~PluginFactory | ( |  | ) |

virtual

Virtual destructor.

Definition at line 28 of file jinglepluginfactory.cpp.

## Member Function Documentation

## addPlugins() [1/2]

void addPlugins | ( | Plugin & | plugin,
|  | const Tag * | tag )

Based on the template plugins' filter string, this function checks the supplied tag for supported extensions and adds them as new plugins to the supplied Plugin instance.

Parameters

  plugin | The Plugin-derived object that will have the newly created plugins embedded.
  tag | The Tag to check for supported extensions.

Definition at line 42 of file jinglepluginfactory.cpp.

## addPlugins() [2/2]

void addPlugins | ( | Session::Jingle & | jingle,
|  | const Tag * | tag )

Based on the template plugins' filter string, this function checks the supplied tag for supported extensions and adds them as new plugins to the supplied Jingle instance.

Parameters

  jingle | The Jingle object that will have the newly created plugins embedded.
  tag | The Tag to check for supported extensions.

Definition at line 65 of file jinglepluginfactory.cpp.

## registerPlugin()

void registerPlugin | ( | Plugin * | plugin | ) |

Registers an empty Plugin as a template with the factory.

Parameters

  plugin | The plugin to register.

Definition at line 33 of file jinglepluginfactory.cpp.

The documentation for this class was generated from the following files:

- jinglepluginfactory.h
- jinglepluginfactory.cpp